Numpad
Basic usage
$(function () {
// create a numpad control
$("#numpad").mobiscroll().numpad({
theme: 'ios',
preset: 'timespan'
});
});
<input id="numpad"/>
For many more examples - simple and complex use-cases - check out the numpad demos for jquery.
Typescript Types
When using with typescript, the following types are available for the Numpad:
Type | Description |
---|---|
Numpad | Type of the Numpad instance |
MbscNumpadOptions | Type of the settings object that is used to initialize the component |
Options
Name | Type | Default value | Description |
---|---|---|---|
allowLeadingZero | Boolean | false |
If true, allows value to start with zero. |
anchor | String, HTMLElement | undefined |
Specifies the anchor element for positioning, if display is set to
'bubble'
.
If undefined, it defaults to the element on which the component was initialized.
|
animate | String or Boolean | undefined |
Animation to use for show/hide (if display is not inline). Possible values:
false , turns the animation off.
|
buttons | Array |
['set', 'cancel']
|
Buttons to display. Each item in the array will be a button. A button can be specified as a string, or as a button object.
When the passed array does not contain the predefined 'set' button, the auto-selection will be turned on.
Selecting a value on the UI this way, will be set to the input immediately.
If there are more than one wheels shown, the control will close on overlay tap. Otherwise tapping a value on the wheel will also close the control.
If a string, it must be one of the predefined buttons:
If an object, it may have the following properties:
Predefined and custom buttons example
Predefined button handler example
|
closeOnOverlayTap | Boolean | true |
If true, the popup is closed on overlay tap/click. |
context | String, HTMLElement | 'body' |
The DOM element in which the component is appended and positioned (if not inline). Can be a selector string or a DOM element. |
cssClass | String | undefined |
Applies custom css class to the top level element. |
deleteIcon | String | 'backspace' |
Delete icon. |
disabled | Boolean | false |
Initial disabled state of the component. This will take no effect in inline display mode. |
display | String | 'center' |
Controls the positioning of the component. Possible options:
|
fill | String | 'rtl' |
Direction of filling the values into the template. Possible options:
|
focusOnClose | Boolean, String, HTMLElement |
true
|
Element to focus after the popup is closed.
If undefined , the original element will be focused.
If false , no focusing will occur.
|
focusTrap | Boolean | true |
If not in inline mode, focus won't be allowed to leave the popup. |
headerText | Boolean, String, Function | false |
Specifies a custom string which appears in the popup header. If the string contains the '{value}' substring, it is replaced with the formatted value of the numpad.If it's set to false , the header is hidden.If a function is passed, it receives the formatted value as parameter and the returned value appears in the header. |
layout | String | undefined |
Sets the layout of the component. Possible values:
|
leftKey | Object | undefined |
Defines a custom key on the left side of the 0.
The object has the following properties:
When pressed, the {ampm} variable in the template will display the 'AM' value, and 2 zeroes will be filled into the template (if enough place left).
|
mask | String | undefined | If specified, the mask character will be displayed instead of the entered numbers. |
placeholder | String | '0' |
Default character to fill the template's digit values. |
preset | String | undefined |
Load preset configurations. Availaible presets:
If no preset is specified, the parseValue and formatValue conversion functions must be specified to define a custom behavior. |
responsive | Object | undefined |
Specify different settings for different container widths, in a form of an object,
where the keys are the name of the breakpoints, and the values are objects containing
the settings for the given breakpoint.
The available width is queried from the container element of the component and not the browsers viewport like in css media queries
There are five predefined breakpoints:
breakpoint
property specifying the min-width in pixels.
Example:
|
rightKey | Object | undefined |
Defines a custom key on the right side of the 0.
The object has the following properties:
When pressed, the {ampm} variable in the template will display the 'PM' value, and 2 zeroes will be filled into the template (if enough place left).
|
scrollLock | Boolean | true |
Disables page scrolling on touchmove (if not in inline mode, and popup height is less than window height). |
showOnFocus | Boolean |
false - on desktop
true - on mobile
|
Pops up the component on element focus. |
showOnTap | Boolean | true |
Pops up the component on element tap. |
showOverlay | Boolean | true |
Show or hide overlay. |
template | String | 'dd.dd' |
Template for the numpad value. 'd' stands for digit, and will be filled with the values entered on the numpad keys. Can contain variables as well, in a format of alphanumeric strings in braces. Optionally a placeholder can also be specified after a ':' character. E.g. 'dd:dd {ampm}' (without placeholder) or 'dd:dd {ampm:--}' (with placeholder). The variables can be filled using custom buttons. Any other character in the template will be handled as literal string. HTML markup is also accepeted. If a preset is specified, the template will be generated by the preset. |
theme | String | undefined |
Sets the visual appearance of the component.
If it is If the theme for the specific platform is not present, it will default to the Mobiscroll theme. Supplied themes:
Starting from v4.9.0 setting directly the dark version of the theme is deprecated.
Use the themeVariant option instead to control the light / dark appearance of the theme.
Make sure that the theme you set is included in the downloaded package.
|
themeVariant | String | undefined |
Controls which variant of the theme will be used (light or dark). Possible values:
If not set, only the theme setting will determine which theme to use.
To use the option with custom themes, make sure to create two custom themes,
where the dark version has the same name as the light one, suffixed with
The option will not have any effect if the theme option explicitly
sets the dark version of a theme, e.g.
theme: 'ios-dark' .
|
touchUi | Boolean | true |
Use Can be used with the responsive option to change the user interface based on viewport width. |
Setting options dynamically
There are two ways to modify options after initalization
-
Using the option method.
The option method always triggers reinitialization. Most of the settings can be updated only this way, updating without initialization has no effect, because the markup is already generated. If the scroller was visible, the reinitialization hides it and it's not shown again automatically (except in inline display mode).
Javascript// Modify options $('#mobiscroll').mobiscroll('option', { theme: 'ios', lang: 'de' });
HTML<input id="mobiscroll"/>
-
Modify directly the
settings
object.
Useful when changing dynamic settings, which do not need redraw (e.g. readonly, calendar marked days).
// Get instance and modify a setting var inst = $('#mobiscroll').mobiscroll('getInst'); inst.settings.readonly = true; // Modify settings in an event $('#mobiscroll').mobiscroll({ onBeforeShow: function (event, inst) { inst.settings.readonly = true; } });
Events
Name | Description | |
---|---|---|
onBeforeClose(event, inst) |
Triggered before the component closes. Close can be prevented by returning false from the handler function.
Parameters
Example
|
|
onBeforeShow(event, inst) |
Triggered before the component is shown.
It is useful if you want to modify the settings object before generating the markup.
It can be used also to prevent the showing the control by returning false.
Parameters
Example
|
|
onCancel(event, inst) |
Allows you to define your own event when cancel is pressed.
Parameters
Example
|
|
onClear(event, inst) |
Triggered when the value is cleared.
Parameters
Example
|
|
onClose(event, inst) |
Triggered when the component is closed.
Parameters
Example
|
|
onDestroy(event, inst) |
Triggered when the component is destroyed.
Parameters
Example
|
|
onInit(event, inst) |
Triggered when the component is initialized.
Parameters
Example
|
|
onInput(event, inst) |
Triggered when a value is entered or deleted.
Parameters
Example
|
|
onMarkupReady(event, inst) |
Triggered when the html markup of the component is generated, but it is not yet shown.
It is useful, if you want to make modifications to the markup (e.g. add custom elements), before the positioning runs.
Parameters
Example
|
|
onPosition(event, inst) |
Triggered when the component is positioned (on initial show and resize / orientation change).
Useful if dimensions needs to be modified before the positioning happens, e.g. set a custom width or height. Custom positioning can also be implemented here, in this case, returning false from the handler
function will prevent the built in positioning.
Parameters
Example
|
|
onSet(event, inst) |
Triggered when a value is set.
Parameters
Example
|
|
onShow(event, inst) |
Triggered when the component is shown.
Parameters
Example
|
|
validate(data, inst) |
Gets called on initialization and on every button tap, can be used to validate the selected values.
Parameters
Example
|
Methods
Name | Description | |
---|---|---|
cancel() |
Hides the numpad and also invokes the onCancel event.
ExampleMethods can be called on an instance. For more details see calling methods
|
|
clear() |
Clears the numpad value.
ExampleMethods can be called on an instance. For more details see calling methods
|
|
disable() |
Disables the numpad.
ExampleMethods can be called on an instance. For more details see calling methods
|
|
enable() |
Enables the numpad.
ExampleMethods can be called on an instance. For more details see calling methods
|
|
getArrayVal([temp]) | Returns the selected value as an array of digits.
Parameters
Returns: Array
ExampleMethods can be called on an instance. For more details see calling methods
|
|
getInst() |
Returns the object instance.
Returns: Object
ExampleMethods can be called on an instance. For more details see calling methods
|
|
getVal([temp]) | Returns the selected numpad value.
Parameters
Returns: String
ExampleMethods can be called on an instance. For more details see calling methods
|
|
hide([ prevAnim ] [, btn ]) |
Hides the component.
Parameters
ExampleMethods can be called on an instance. For more details see calling methods
|
|
isVisible() |
Returns a boolean indicating whether the component is visible or not.
Returns: Boolean
ExampleMethods can be called on an instance. For more details see calling methods
|
|
option(options) |
Sets one or more options for the component.
Parameters
ExampleMethods can be called on an instance. For more details see calling methods
|
|
position([check]) |
Recalculates the position of the component (if not inline).
Parameters
ExampleMethods can be called on an instance. For more details see calling methods
|
|
select() |
Hides the numpad and also invokes the
onSet
event.
ExampleMethods can be called on an instance. For more details see calling methods
|
|
setVal(value [, fill ] [, change ] [, temp ] [, time ]) |
Sets the numpad value.
Parameters
ExampleMethods can be called on an instance. For more details see calling methods
|
|
show([ prevAnim ] [, prevFocus ]) |
Shows the component.
Parameters
ExampleMethods can be called on an instance. For more details see calling methods
|
|
tap(el, handler) |
Attaches the handler function to the tap event of element el .
Parameters
ExampleMethods can be called on an instance. For more details see calling methods
|
Localization
Name | Type | Default value | Description |
---|---|---|---|
cancelText | String | 'Cancel' |
Text for Cancel button. |
clearText | String | 'Clear' |
Text for the clear button. |
lang | String | 'en-US' |
Language of the component. Based on the language string the component loads the language based default settings from the
language modules.
Supported languages:
|
rtl | Boolean | false |
Right to left display. |
setText | String | 'Set' |
Text for Set button. |
Presets
Decimal
Name | Type | Default value | Description |
---|---|---|---|
decimalSeparator | String | '.' |
Separates the integer part from the fractional part of the numeric value. |
defaultValue | Number | 0 | Initial value. |
entryMode | 'template' or 'freeform' |
'template' |
Controls how the number is entered. In template mode the digits follow a template with fixed number of decimal places that is set by the scale setting.In freeform mode any number of digits can be entered for the whole and fractional part of the number as well. The maximum number of decimal places can be controlled by the maxScale setting.
|
invalid | Array | undefined | Array of numbers which values are unselectable. |
scale | Number | 2 |
Number of decimal places (precision). |
maxScale | Number | 4 |
It sets the maximum number of digits that can be entered after the decimal separator when entryMode is set to freeform . |
min | Number | 0 |
Minimum selectable value. |
max | Number | 99.99 |
Maximum selectable value. |
prefix | String | '' |
Prefix for the numeric value, e.g. '$'. |
returnAffix | Boolean | false |
If true, the formatted value will also contain the prefix and suffix, otherwise the number only. |
suffix | String | '' |
Suffix for the numeric value, e.g. '€'. |
thousandsSeparator | String | ',' |
The character displayed at each separation of the numeric value. |
Timespan
Time
Date
Conversion functions
Name | Parameters | Description |
---|---|---|
formatValue | function(numbers, variables, inst) |
Receives the entered values as an array, the variable names and values as key-value pairs
(if the template contains variables) and the mobiscroll instance.
Must return a string which will be set as the value of the associated input element. Example:
|
parseValue | function(valueText) |
Receives a string as parameter and must return an array containing the entered numpad values. Must return an array value! Numpad presets implement their own parseValue function.
Example:
|
Customizing the appearance
While the provided pre-built themes are enough in many use cases, most of the times on top of adapting to a specific platform, you'd also like to match a brand or color scheme. Mobiscroll provides various ways to achieve this:
- Create custom themes using the theme builder - the custom themes can be also built using out theme builder, on a graphical user interface, without any coding, or the need for Sass support in your project.
- Create custom themes using Sass - use this, if you need multiple themes with different color variatons, in case you have pages with different colors, or you'd like to users to customize the colors of your app.
- Override the Sass color variables - the straightforward way to change the colors in one place throughout the application.
Override the Sass Color Variables
A convenient way to customize the colors of the Mobiscroll components is to override the Sass color variables.
Let's say your branding uses a nice red accent color, and you'd like that color to appear on the Mobiscroll components as well,
while still using platform specific themes (e.g. ios
on iOS devices, material
on Android devices, and mobiscroll
on desktop).
You can override the accent color for every theme:
$mbsc-ios-accent: #e61d2a;
$mbsc-material-accent: #e61d2a;
$mbsc-mobiscroll-accent: #e61d2a;
@import "~@mobiscroll/JQuery/dist/css/mobiscroll.jquery.scss"
You can also customize the colors on many levels:
- Theme specific variables (ex.
$mbsc-material-background
,$mbsc-ios-dark-text
) are applied to all components in a theme. Complete list of variables here. - Component specific global variables (ex.
$mbsc-card-background-light
,$mbsc-listview-text-dark
) are applied to all themes for a specific component. - Component and theme specific variables (ex.
$mbsc-ios-dark-form-background
,$mbsc-material-input-text
) are applied to a specific theme and a specific component.
Global variables
These variables are applied to all base themes: iOS, material, windows and mobiscroll.
They all come in pairs. One for the light and one for the dark variant in each theme.
Variable name | Description |
---|---|
$mbsc-frame-background-light | Sets the background color of the Numpad |
$mbsc-frame-background-dark | |
$mbsc-frame-text-light | Sets the text color of the Numpad |
$mbsc-frame-text-dark | |
$mbsc-frame-accent-light | Sets the accent color of the Numpad |
$mbsc-frame-accent-dark | |
$mbsc-frame-overlay-light | Sets the color of the overlay, when the Numpad is shown as a modal |
$mbsc-frame-overlay-dark |
If you really want to get sophisticated or if a color doesn't look good on a specific theme and you want to overwrite it, you can fine tune all of the above variables individually for each theme. Below are the complete list of variables broken down to themes:
iOS theme
Variable name | Default value | Description |
---|---|---|
$mbsc-ios-frame-background | #ffffff | The Numpad background color |
$mbsc-ios-frame-text | #000000 | The Numpad text color |
$mbsc-ios-frame-accent | #007bff | The Numpad accent color |
$mbsc-ios-frame-overlay | rgba(0, 0, 0, 0.2) | Sets the color of the overlay, when the Numpad is shown as a modal |
iOS Dark theme
$mbsc-ios-dark-frame-background | #0f0f0f | The Numpad background color |
$mbsc-ios-dark-frame-text | #ffffff | The Numpad text color |
$mbsc-ios-dark-frame-accent | #ff8400 | The Numpad accent color |
$mbsc-ios-dark-frame-overlay | rgba(255, 255, 255, .1) | Sets the color of the overlay, when the Numpad is shown as a modal |

Windows theme
Variable name | Default value | Description |
---|---|---|
$mbsc-windows-frame-background | #1a1a1a | The Numpad background color |
$mbsc-windows-frame-text | #262626 | The Numpad text color |
$mbsc-windows-frame-accent | #0078d7 | The Numpad accent color |
$mbsc-windows-frame-overlay | rgba(0, 0, 0, .7) | Sets the color of the overlay, when the Numpad is shown as a modal |
Windows Dark theme
Variable name | Default value | Description |
---|---|---|
$mbsc-windows-dark-frame-background | #191919 | The Numpad background color |
$mbsc-windows-dark-frame-text | #ffffff | The Numpad text color |
$mbsc-windows-dark-frame-accent | #0078d7 | The Numpad accent color |
$mbsc-windows-dark-frame-overlay | rgba(0, 0, 0, .7) | Sets the color of the overlay, when the Numpad is shown as a modal |

Material theme
Variable name | Default value | Description |
---|---|---|
$mbsc-material-frame-background | #eeeeee | The Numpad background color |
$mbsc-material-frame-text | #5b5b5b | The Numpad text color |
$mbsc-material-frame-accent | #009688 | The Numpad accent color |
$mbsc-material-frame-overlay | rgba(0, 0, 0, .6) | Sets the color of the overlay, when the Numpad is shown as a modal |
Material Dark theme
Variable name | Default value | Description |
---|---|---|
$mbsc-material-dark-frame-background | #303030 | The Numpad background color |
$mbsc-material-dark-frame-text | #c2c2c2 | The Numpad text color |
$mbsc-material-dark-frame-accent | #81ccc4 | The Numpad accent color |
$mbsc-material-dark-frame-overlay | rgba(0, 0, 0, .6) | Sets the color of the overlay, when the Numpad is shown as a modal |

Mobiscroll theme
Variable name | Default value | Description |
---|---|---|
$mbsc-mobiscroll-frame-background | #f7f7f7 | The Numpad background color |
$mbsc-mobiscroll-frame-text | #454545 | The Numpad text color |
$mbsc-mobiscroll-frame-accent | #4eccc4 | The Numpad accent color |
$mbsc-mobiscroll-frame-overlay | rgba(0, 0, 0, .7) | Sets the color of the overlay, when the Numpad is shown as a modal |
Mobiscroll Dark theme
Variable name | Default value | Description |
---|---|---|
$mbsc-mobiscroll-dark-frame-background | #263238 | The Numpad background color |
$mbsc-mobiscroll-dark-frame-text | #f7f7f7 | The Numpad text color |
$mbsc-mobiscroll-dark-frame-accent | #4fccc4 | The Numpad accent color |
$mbsc-mobiscroll-dark-frame-overlay | rgba(0, 0, 0, .7) | Sets the color of the overlay, when the Numpad is shown as a modal |


General Date & Time pickers Event Calendar Form components Responsive list Numeric pickers Pickers & dropdowns Layout & navigation Tools Accessibility

Numpad

Basic usage

Components

Simple examples with ngModel
<!-- the simple default -->
<mbsc-numpad [(ngModel)]="myNumpad">Default</mbsc-numpad>
<mbsc-numpad-decimal [(ngModel)]="nrOfDays">Holiday count</mbsc-numpad-decimal>
<mbsc-numpad-date [(ngModel)]="startDate">Starting day</mbsc-numpad-date>
<mbsc-numpad-time [(ngModel)]="startTime">Starting time</mbsc-numpad-time>
<mbsc-numpad-timespan [(ngModel)]="duration">Holiday duration</mbsc-numpad-timespan>

<!-- setting theme and other options inline -->
<mbsc-numpad theme="ios" display="top" [(ngModel)]="myNumpad">Default</mbsc-numpad>
<mbsc-numpad-decimal theme="ios" display="top" [(ngModel)]="nrOfDays">Holiday count</mbsc-numpad-decimal>
<mbsc-numpad-date theme="ios" display="top" [(ngModel)]="startDate">Starting day</mbsc-numpad-date>
<mbsc-numpad-time theme="ios" display="top" [(ngModel)]="startTime">Starting time</mbsc-numpad-time>
<mbsc-numpad-timespan theme="ios" display="top" [(ngModel)]="duration">Holiday duration</mbsc-numpad-timespan>

Passing events

All events can be used inline with the component. When passing event handlers inline, the instance of the component becomes the inst property of the event object.

Passing inline event handlers
<mbsc-numpad-date (onSet)="setDate()">Starting day</mbsc-numpad-date>
<!-- with default parameters -->
<mbsc-numpad-date (onSet)="withDefaultEvent($event)">Starting day</mbsc-numpad-date>
<!-- with additional parameters -->
<mbsc-numpad-date (onSet)="withAdditionalEvent($event, 'myAddition')">Starting day</mbsc-numpad-date>
export class MyExampleClass {
    // simple handler without any parameters
    setDate() {
        console.log('simple handler'); // prints 'simple handler' when the set button is tapped
    }

    // event handler with the default event parameter
    withDefaultEvent(event: any) {
        console.log('Starting date is:' + event.inst.getVal()); // prints the selected date 'Starting date is: '
    }

    // event handler with additional parameters
    withAdditionalEvent(event: any, addition: string) {
        console.log(addition); // prints 'myAddition'
    }
}

If you need more customization options on the element, you can use the directives as follows

Directives

Here is an example for the numpad directive with ngModel
@Component({
    selector: 'my-example',
    template: `<input [(ngModel)]="myNumber" mbsc-numpad-decimal />`
})
export class MyExampleComponent {
    myNumber: number = 3.14;
}
Example for the numpad directive without ngModel
@Component({
    selector: 'my-example',
    template: `<input [(mbsc-numpad-date)]="birthday" />`
})
export class MyExampleComponent {
    birthday: Date = new Date();
}
The numpad directive with additional settings
import { MbscNumpadOptions } from '../lib/mobiscroll/js/mobiscroll.angular.min.js';

@Component({
    selector: 'my-example',
    template: `<input [(ngModel)]="myNumber" mbsc-numpad-decimal [mbsc-options]="myOptions" />`
})
export class MyExampleComponent {
    myNumber: number = 3.14;
    myOptions: MbscNumpadOptions = {
        theme: 'ios',
        display: 'center'
    }
}

Using with Ionic

Simple ionic input with date numpad
<ion-item>
    <ion-label>My Birthday</ion-label>
    <ion-input [(ngModel)]="birthday" mbsc-numpad-date></ion-input>
</ion-item>
Simple ionic input with decimal numpad
<ion-item>
    <ion-label>My Number</ion-label>
    <ion-input [(ngModel)]="myNumber" mbsc-numpad-decimal></ion-input>
</ion-item>

Modules

The MbscNumpadModule can be used to import all the directives and components from below.

Directives

Directive Data type Description
[(mbsc-numpad)] string Directive for the numpad
[(mbsc-numpad-decimal)] number Directive for the numpad with decimal preset
[(mbsc-numpad-date)] Date Directive for the numpad with date preset
[(mbsc-numpad-time)] string Directive for the numpad with time preset
[(mbsc-numpad-timespan)] number Directive for the numpad with timespan preset
[mbsc-options] MbscNumpadOptions Directive used to pass the mobiscroll options

Components

Component Description
<mbsc-numpad> Component for the numpad control
<mbsc-numpad-decimal> Component for the decimal numpad control
<mbsc-numpad-date> Component for the date numpad control
<mbsc-numpad-time> Component for the time numpad control
<mbsc-numpad-timespan> Component for the timespan numpad control

The following options can be used as attributes to customize the components.

For many more examples - simple and complex use-cases - check out the numpad demos for angular.

Options

Name Type Default value Description
allowLeadingZero Boolean false If true, allows value to start with zero.
anchor String, HTMLElement undefined Specifies the anchor element for positioning, if display is set to 'bubble' . If undefined, it defaults to the element on which the component was initialized.
animate String or Boolean undefined Animation to use for show/hide (if display is not inline). Possible values:
  • 'fade'
  • 'flip'
  • 'pop'
  • 'swing'
  • 'slidevertical'
  • 'slidehorizontal'
  • 'slidedown'
  • 'slideup'
If false, turns the animation off.
buttons Array ['set', 'cancel'] Buttons to display. Each item in the array will be a button. A button can be specified as a string, or as a button object.

When the passed array does not contain the predefined 'set' button, the auto-selection will be turned on. Selecting a value on the UI this way, will be set to the input immediately. If there are more than one wheels shown, the control will close on overlay tap. Otherwise tapping a value on the wheel will also close the control.

If a string, it must be one of the predefined buttons:
  • 'set' - Sets the value.
  • 'clear' - Clears the value.
  • 'cancel' - Dismisses the popup.
To modify the text of the predefined buttons, you can use the setText, clearText , cancelText options.

If an object, it may have the following properties:
  • text String - Text of the button.
  • handler String, Function - The function which will run when the button is pressed. If a string, it must be one of the predefined button handlers:
    • 'set' - Sets the value.
    • 'clear' - Clears the value.
    • 'cancel' - Dismisses the popup.
  • icon String (Optional) - Icon of the button.
  • cssClass String (Optional) - Css class of the button.
Predefined and custom buttons example
buttons: [
    'set',
    {
        text: 'Custom',
        icon: 'checkmark',
        cssClass: 'my-btn', 
        handler: (event) => {
            alert('Custom button clicked!');
        }
    },
    'cancel'
]
Predefined button handler example
buttons: [
    'set',
    {
        text: 'Hide',
        handler: 'cancel',
        icon: 'close',
        cssClass: 'my-btn'
    }
]
closeOnOverlayTap Boolean true If true, the popup is closed on overlay tap/click.
context String, HTMLElement 'body' The DOM element in which the component is appended and positioned (if not inline). Can be a selector string or a DOM element.
cssClass String undefined Applies custom css class to the top level element.
deleteIcon String 'backspace' Delete icon.
disabled Boolean false Initial disabled state of the component. This will take no effect in inline display mode.
display String 'center' Controls the positioning of the component. Possible options:
  • 'center' - The component appears as a popup at the center of the viewport.
  • 'inline' - If called on div element, the component is placed inside the div (overwriting existing content), otherwise is placed after the original element.
  • 'bubble' - The component appears as a bubble positioned to the element defined by the anchor option. By default the anchor is the original element.
  • 'top' - The component appears docked to the top of the viewport.
  • 'bottom' - The component appears docked to the bottom of the viewport.
fill String 'rtl' Direction of filling the values into the template. Possible options:
  • 'rtl' - Right to left
  • 'ltr' - Left to right
focusOnClose Boolean, String, HTMLElement true Element to focus after the popup is closed. If undefined, the original element will be focused. If false, no focusing will occur.
focusTrap Boolean true If not in inline mode, focus won't be allowed to leave the popup.
headerText Boolean, String, Function false Specifies a custom string which appears in the popup header.
If the string contains the '{value}' substring, it is replaced with the formatted value of the numpad.
If it's set to false, the header is hidden.
If a function is passed, it receives the formatted value as parameter and the returned value appears in the header.
layout String undefined Sets the layout of the component. Possible values:
  • 'liquid' - The popup will expand to the maximum available width.
    In 'center' and 'bubble' display mode it will also leave some space on the left and right edges, and will not exceed 600px width on larger screens.
    In 'top', 'bottom' and 'inline' display mode this is the default behavior.
  • 'fixed' or undefined - Popup will have a fixed width, depending on the content, and not on the viewport size.
leftKey Object undefined Defines a custom key on the left side of the 0.

The object has the following properties:
  • text - The text of the button.
  • value - One or more digit values which will be filled into the template when pressed, e.g. '00', or '30'.
  • variable - Specifies a value for a variable present in the template in '{variable}:{value}' format, e.g. 'ampm:AM'.
A sample custom key object:
leftKey: {
    text: 'AM',
    variable: 'ampm:AM',
    value: '00'
}
When pressed, the {ampm} variable in the template will display the 'AM' value, and 2 zeroes will be filled into the template (if enough place left).
mask String undefined If specified, the mask character will be displayed instead of the entered numbers.
placeholder String '0' Default character to fill the template's digit values.
preset String undefined Load preset configurations. Availaible presets:
If no preset is specified, the parseValue and formatValue conversion functions must be specified to define a custom behavior.
responsive Object undefined Specify different settings for different container widths, in a form of an object, where the keys are the name of the breakpoints, and the values are objects containing the settings for the given breakpoint.
The available width is queried from the container element of the component and not the browsers viewport like in css media queries
There are five predefined breakpoints:
  • xsmall - min-width: 0px
  • small - min-width: 576px
  • medium - min-width: 768px
  • large - min-width: 992px
  • xlarge - min-width: 1200px
Custom breakpoints can be defined by passing an object containing the breakpoint property specifying the min-width in pixels. Example:
responsive: {
    small: {
        display: 'bottom'
    },
    custom: { // Custom breakpoint
        breakpoint: 600,
        display: 'center'
    },
    large: {
        display: 'bubble'
    }
}
rightKey Object undefined Defines a custom key on the right side of the 0.

The object has the following properties:
  • text - The text of the button.
  • value - One or more digit values which will be filled into the template when pressed, e.g. '00', or '30'.
  • variable - Specifies a value for a variable present in the template in '{variable}:{value}' format, e.g. 'ampm:PM'.
A sample custom key object:
rightKey: {
    text: 'PM',
    variable: 'ampm:PM',
    value: '00'
}
When pressed, the {ampm} variable in the template will display the 'PM' value, and 2 zeroes will be filled into the template (if enough place left).
scrollLock Boolean true Disables page scrolling on touchmove (if not in inline mode, and popup height is less than window height).
showOnFocus Boolean false - on desktop true - on mobile Pops up the component on element focus.
showOnTap Boolean true Pops up the component on element tap.
showOverlay Boolean true Show or hide overlay.
template String 'dd.dd' Template for the numpad value. 'd' stands for digit, and will be filled with the values entered on the numpad keys.
Can contain variables as well, in a format of alphanumeric strings in braces. Optionally a placeholder can also be specified after a ':' character. E.g. 'dd:dd {ampm}' (without placeholder) or 'dd:dd {ampm:--}' (with placeholder).
The variables can be filled using custom buttons.

Any other character in the template will be handled as literal string. HTML markup is also accepeted.

If a preset is specified, the template will be generated by the preset.
theme String undefined

Sets the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform.

If the theme for the specific platform is not present, it will default to the Mobiscroll theme.

Supplied themes:
  • 'bootstrap' - Bootstrap themes
  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'mobiscroll' - Mobiscroll theme
  • 'windows' - Windows theme
It's possible to modify theme colors or create custom themes.
Starting from v4.9.0 setting directly the dark version of the theme is deprecated. Use the themeVariant option instead to control the light / dark appearance of the theme.
Make sure that the theme you set is included in the downloaded package.
themeVariant String undefined

Controls which variant of the theme will be used (light or dark).

Possible values:
  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

If not set, only the theme setting will determine which theme to use.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

The option will not have any effect if the theme option explicitly sets the dark version of a theme, e.g. theme: 'ios-dark'.
touchUi Boolean true

Use true to render a touch optimized user interface, or false for a user interface optimized for pointer devices (mouse, touchpad).

Can be used with the responsive option to change the user interface based on viewport width.

Setting options dynamically

There are two ways to modify options after initalization

  1. Using the option method.

    The option method always triggers reinitialization. Most of the settings can be updated only this way, updating without initialization has no effect, because the markup is already generated. If the scroller was visible, the reinitialization hides it and it's not shown again automatically (except in inline display mode).

    Here is an example for the dynamic option change
    import { ViewChild } from '@angular/core';
    @Component({
        selector: 'my-example',
        template: `
            <input mbsc-numpad #myVariable="mobiscroll" [(ngModel)]="myExample"/>
            <button (click)="changeOptions()">Change theme and language</button>
        `
    })
    export class MyExample {
        @ViewChild('myVariable') 
        myRef: any;
    
        // Modify options
        changeOptions() {
            this.myRef.instance.option({
                theme: 'mobiscroll',
                lang: 'de'
            });
        }
    }
  2. Modify directly the settings object.

    Useful when changing dynamic settings, which do not need redraw (e.g. readonly, calendar marked days).

    Example
    import { ViewChild } from '@angular/core';
    @Component({
        selector: 'my-example',
        template: `
            <input mbsc-numpad #myVariable="mobiscroll" [mbsc-options]="myOptions"/>
            <button (click)="changeOptions()">Change readonly</button>
        `
    })
    export class MyExample {
        @ViewChild('myVariable') 
        myRef: any;
    
        // get instance and modify a setting
        changeOptions() {
            this.myRef.instance.settings.readonly = true;
        }
        
        // Modify settings in an event
        myOptions: any = {
            onBeforeShow: (event, inst) => {
                inst.settings.readonly = true;
            }
        }
    }

Events

Using arrow functions is recommended so you have access to your outer component instance inside event handlers through this reference.
When using the events inline (see here) the inst parameter is passed as a property to the event.
Name Description
onBeforeClose(event, inst) Triggered before the component closes. Close can be prevented by returning false from the handler function.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
    • button: String - The name of the button which triggered the component to close ('set', or 'cancel').
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onBeforeClose: (event, inst) => {
        }
    }
}
onBeforeShow(event, inst) Triggered before the component is shown. It is useful if you want to modify the settings object before generating the markup. It can be used also to prevent the showing the control by returning false.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onBeforeShow: (event, inst) => {
        }
    }
}
onCancel(event, inst) Allows you to define your own event when cancel is pressed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onCancel: (event, inst) => {
        }
    }
}
onClear(event, inst) Triggered when the value is cleared.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onClear: (event, inst) => {
        }
    }
}
onClose(event, inst) Triggered when the component is closed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onClose: (event, inst) => {
        }
    }
}
onDestroy(event, inst) Triggered when the component is destroyed.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onDestroy: (event, inst) => {
        }
    }
}
onInit(event, inst) Triggered when the component is initialized.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onInit: (event, inst) => {
        }
    }
}
onInput(event, inst) Triggered when a value is entered or deleted.

Parameters

  • event: Object - The event object with the following properties
    • domEvent: Event - The DOM event object.
    • target: HTMLElement - The DOM element of the pressed button.
    • values: Array - An array containing the currently entered digits.
    • valueText: String - The entered value as formatted text.
    • variables: Object - An object containing the currently entered variables.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onInput: (event, inst) => {
        }
    }
}
onMarkupReady(event, inst) Triggered when the html markup of the component is generated, but it is not yet shown. It is useful, if you want to make modifications to the markup (e.g. add custom elements), before the positioning runs.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onMarkupReady: (event, inst) => {
        }
    }
}
onPosition(event, inst) Triggered when the component is positioned (on initial show and resize / orientation change).
Useful if dimensions needs to be modified before the positioning happens, e.g. set a custom width or height. Custom positioning can also be implemented here, in this case, returning false from the handler function will prevent the built in positioning.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
    • windowWidth: Number - The window width.
    • windowHeight: Number - The window height.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onPosition: (event, inst) => {
        }
    }
}
onSet(event, inst) Triggered when a value is set.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text (if any).
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onSet: (event, inst) => {
        }
    }
}
onShow(event, inst) Triggered when the component is shown.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the numpad.

Example

export class MyExample {
    settings: any = {
        onShow: (event, inst) => {
        }
    }
}
validate(data, inst) Gets called on initialization and on every button tap, can be used to validate the selected values.

Parameters

  • data: Object - The data object has the following properties:
    • values: Array - An array containing the currently entered digits.
    • variables: Object - An object containing the currently entered variables.
  • inst: Object - The instance object of the numpad.
Can return an object with the following properties:
  • disabled: Array - An array containing the digits that should be disabled.
  • invalid: Boolean - If true, the component state will be invalid, so the value will not be selected. The set button will be also disabled, if present.

Example

$('#mobiscroll').mobiscroll().numpad({
    validate: function (data, inst) {
    }
});

Methods

Name Description
cancel() Hides the numpad and also invokes the onCancel event.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.cancel();
clear() Clears the numpad value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.clear();
disable() Disables the numpad.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.disable();
enable() Enables the numpad.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.enable();
getArrayVal([temp]) Returns the selected value as an array of digits.

Parameters

  • temp (Optional): Boolean - If true, temporary values are returned (prior clicking the Set button).

Returns: Array

  • An array containing the digits.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getArrayVal();
getVal([temp]) Returns the selected numpad value.

Parameters

  • temp (Optional): Boolean - If true, returns the temporary values (prior clicking the Set button).

Returns: String

  • The selected numpad value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getVal();
hide([ prevAnim ] [, btn ]) Hides the component.

Parameters

  • prevAnim (Optional): Boolean - If true, hide will not be animated.
  • btn (Optional): String - Specifies which button caused the component to hide, and it's passed to the onBeforeClose event.

Example

Methods can be called on an instance. For more details see calling methods
    mobiscrollInstance.hide();
    
isVisible() Returns a boolean indicating whether the component is visible or not.

Returns: Boolean

  • True if the component is visible, false if it's not.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.isVisible();
option(options) Sets one or more options for the component.

Parameters

  • options: Object - A map of option-value pairs to set.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.option({
    display: 'bottom',
    lang: 'de'
});
position([check]) Recalculates the position of the component (if not inline).

Parameters

  • check (Optional): Boolean - If true, the function checks if viewport size changed after last position call, if false or ommitted, position is recalculated anyway.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.position();
select() Hides the numpad and also invokes the onSet event.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.select();
setVal(value [, fill ] [, change ] [, temp ] [, time ]) Sets the numpad value.

Parameters

  • value: String - The numpad value.
  • fill (Optional): Boolean - If true, the associated input element is also updated with the new value.
  • change (Optional): Boolean - If false, change event won't be triggered on the input element.
  • temp (Optional): Boolean - If true, only temporary value is set.
  • time (Optional): Number - Specifies the duration of the animation in seconds to scroll the wheels to the new values. There is no animation, if time is omitted or 0.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.setVal('9.25');
show([ prevAnim ] [, prevFocus ]) Shows the component.

Parameters

  • prevAnim (Optional): Boolean - If true, show will not be animated.
  • prevFocus (Optional): Boolean - If true, the popup will not be focused right after show.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.show();
tap(el, handler) Attaches the handler function to the tap event of element el.

Parameters

  • el: Object - The element with tap event.
  • handler: Function - If the action was initiated with touch event, handler is called on touchend, otherwise on click.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.tap('#element', function () { alert("It's a tap!"); });

Localization

Name Type Default value Description
cancelText String 'Cancel' Text for Cancel button.
clearText String 'Clear' Text for the clear button.
lang String 'en-US' Language of the component. Based on the language string the component loads the language based default settings from the language modules.
Supported languages:
  • Arabic: 'ar'
  • Bulgarian: 'bg'
  • Catalan: 'ca'
  • Czech: 'cs'
  • Chinese: 'zh'
  • Croatian: 'hr'
  • Danish: 'da'
  • Dutch: 'nl'
  • English: 'en' or 'en-US' or undefined
  • English (UK): 'en-UK' or 'en-GB'
  • Farsi: 'fa'
  • German: 'de'
  • Greek: 'el'
  • Spanish: 'es'
  • Finnish: 'fi'
  • French: 'fr'
  • Hebrew: 'he'
  • Hindi: 'hi'
  • Hungarian: 'hu'
  • Italian: 'it'
  • Japanese: 'ja'
  • Korean: 'ko'
  • Lithuanian: 'lt'
  • Norwegian: 'no'
  • Polish: 'pl'
  • Portuguese (Brazilian): 'pt-BR'
  • Portuguese (European): 'pt-PT'
  • Romanian: 'ro'
  • Russian: 'ru'
  • Russian (UA): 'ru-UA'
  • Slovak: 'sk'
  • Serbian: 'sr'
  • Thai: 'th'
  • Swedish: 'sv'
  • Turkish: 'tr'
  • Ukrainian: 'ua'
  • Vietnamese: 'vi'
rtl Boolean false Right to left display.
setText String 'Set' Text for Set button.

Presets

Decimal

Name Type Default value Description
decimalSeparator String '.' Separates the integer part from the fractional part of the numeric value.
defaultValue Number 0 Initial value.
entryMode 'template' or 'freeform' 'template' Controls how the number is entered.
In template mode the digits follow a template with fixed number of decimal places that is set by the scale setting.
In freeform mode any number of digits can be entered for the whole and fractional part of the number as well. The maximum number of decimal places can be controlled by the maxScale setting.
invalid Array undefined Array of numbers which values are unselectable.
scale Number 2 Number of decimal places (precision).
maxScale Number 4 It sets the maximum number of digits that can be entered after the decimal separator when entryMode is set to freeform.
min Number 0 Minimum selectable value.
max Number 99.99 Maximum selectable value.
prefix String '' Prefix for the numeric value, e.g. '$'.
returnAffix Boolean false If true, the formatted value will also contain the prefix and suffix, otherwise the number only.
suffix String '' Suffix for the numeric value, e.g. '€'.
thousandsSeparator String ',' The character displayed at each separation of the numeric value.

Timespan

Name Type Default value Description
defaultValue Number 0 Initial value.
invalid Array undefined Array of numbers(seconds) which values are unselectable.
min Number 0 Minimum selectable value (in seconds).
max Number 362439 Maximum selectable value (in seconds).

Time

Name Type Default value Description
defaultValue String undefined Initial value.
invalid Array undefined Array of dates which values are unselectable.
max Date undefined Maximum time that can be selected
min Date undefined Minimum time that can be selected
timeFormat String 'hh:ii A' The format for parsed and displayed times
  • hh - hour format
  • ii - minutes
  • ss - seconds
  • a - lowercase am/pm - if peresent the time will be 12 hour format
  • A - uppercase AM/PM - if peresent the time will be 12 hour format

Date

Name Type Default value Description
dateFormat String 'mm/dd/yy' The format for parsed and displayed dates
  • m - month of year (no leading zero)
  • mm - month of year (two digit)
  • M - month name short
  • MM - month name long
  • d - day of month (no leading zero)
  • dd - day of month (two digit)
  • D - day of week (short)
  • DD - day of week (long)
  • y - year (two digit)
  • yy - year (four digit)
  • '...' - literal text
  • '' - single quote
  • anything else - literal text
dateOrder String 'mdy' The order of year, month and day of the date displayed on the picker.
delimiter String '/' Character between year, month and day values of the date displayed on the picker.
defaultValue String undefined Initial value.
invalid Array undefined Array of dates that can't be selected.
max Date undefined Maximum date that can be selected
min Date undefined Minimum date that can be selected

Conversion functions

Name Parameters Description
formatValue function(numbers, variables, inst) Receives the entered values as an array, the variable names and values as key-value pairs (if the template contains variables) and the mobiscroll instance. Must return a string which will be set as the value of the associated input element.

Example:
formatValue: (numbers) => {
    var ret = '';

    // Add leading zeroes if necessary
    if (numbers[0] == '.') {
        numbers.unshift(0);
    }

    ret = numbers.join('').split(this.decimal);

    ret[0] = ret[0].replace(/\B(?=(\d{3})+(?!\d))/g, this.thousands);

    return ret.join(this.decimal);
}
parseValue function(valueText) Receives a string as parameter and must return an array containing the entered numpad values.

Must return an array value!

Numpad presets implement their own parseValue function. Example:
parseValue: (value) => {
    if (value) {
        return value.toString().replace(this.thousands, '').split('');
    }

    return [];
}

Customizing the appearance

While the provided pre-built themes are enough in many use cases, most of the times on top of adapting to a specific platform, you'd also like to match a brand or color scheme. Mobiscroll provides various ways to achieve this:

Override the Sass Color Variables

A convenient way to customize the colors of the Mobiscroll components is to override the Sass color variables.

Let's say your branding uses a nice red accent color, and you'd like that color to appear on the Mobiscroll components as well, while still using platform specific themes (e.g. ios on iOS devices, material on Android devices, and mobiscroll on desktop). You can override the accent color for every theme:

$mbsc-ios-accent: #e61d2a;
$mbsc-material-accent: #e61d2a;
$mbsc-mobiscroll-accent: #e61d2a;

@import "~@mobiscroll/Angular/dist/css/mobiscroll.angular.scss"
It's important that you override the variables BEFORE the scss file import, otherwise it won't make any difference.
Here's a complete guide on how to set up Mobiscroll with SASS support

You can also customize the colors on many levels:

  1. Theme specific variables (ex. $mbsc-material-background, $mbsc-ios-dark-text) are applied to all components in a theme. Complete list of variables here.
  2. Component specific global variables (ex. $mbsc-card-background-light, $mbsc-listview-text-dark) are applied to all themes for a specific component.
  3. Component and theme specific variables (ex. $mbsc-ios-dark-form-background, $mbsc-material-input-text) are applied to a specific theme and a specific component.

Global variables

These variables are applied to all base themes: iOS, material, windows and mobiscroll.
They all come in pairs. One for the light and one for the dark variant in each theme.

Variable name Description
$mbsc-frame-background-light Sets the background color of the Numpad
$mbsc-frame-background-dark
$mbsc-frame-text-light Sets the text color of the Numpad
$mbsc-frame-text-dark
$mbsc-frame-accent-light Sets the accent color of the Numpad
$mbsc-frame-accent-dark
$mbsc-frame-overlay-light Sets the color of the overlay, when the Numpad is shown as a modal
$mbsc-frame-overlay-dark

If you really want to get sophisticated or if a color doesn't look good on a specific theme and you want to overwrite it, you can fine tune all of the above variables individually for each theme. Below are the complete list of variables broken down to themes:

iOS theme

Variable name Default value Description
$mbsc-ios-frame-background
#ffffff
The Numpad background color
$mbsc-ios-frame-text
#000000
The Numpad text color
$mbsc-ios-frame-accent
#007bff
The Numpad accent color
$mbsc-ios-frame-overlay
rgba(0, 0, 0, 0.2)
Sets the color of the overlay, when the Numpad is shown as a modal

iOS Dark theme

$mbsc-ios-dark-frame-background
#0f0f0f
The Numpad background color
$mbsc-ios-dark-frame-text
#ffffff
The Numpad text color
$mbsc-ios-dark-frame-accent
#ff8400
The Numpad accent color
$mbsc-ios-dark-frame-overlay
rgba(255, 255, 255, .1)
Sets the color of the overlay, when the Numpad is shown as a modal
Indication on what the color variables affect

Windows theme

Variable name Default value Description
$mbsc-windows-frame-background
#1a1a1a
The Numpad background color
$mbsc-windows-frame-text
#262626
The Numpad text color
$mbsc-windows-frame-accent
#0078d7
The Numpad accent color
$mbsc-windows-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Numpad is shown as a modal

Windows Dark theme

Variable name Default value Description
$mbsc-windows-dark-frame-background
#191919
The Numpad background color
$mbsc-windows-dark-frame-text
#ffffff
The Numpad text color
$mbsc-windows-dark-frame-accent
#0078d7
The Numpad accent color
$mbsc-windows-dark-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Numpad is shown as a modal
Indication on what the color variables affect

Material theme

Variable name Default value Description
$mbsc-material-frame-background
#eeeeee
The Numpad background color
$mbsc-material-frame-text
#5b5b5b
The Numpad text color
$mbsc-material-frame-accent
#009688
The Numpad accent color
$mbsc-material-frame-overlay
rgba(0, 0, 0, .6)
Sets the color of the overlay, when the Numpad is shown as a modal

Material Dark theme

Variable name Default value Description
$mbsc-material-dark-frame-background
#303030
The Numpad background color
$mbsc-material-dark-frame-text
#c2c2c2
The Numpad text color
$mbsc-material-dark-frame-accent
#81ccc4
The Numpad accent color
$mbsc-material-dark-frame-overlay
rgba(0, 0, 0, .6)
Sets the color of the overlay, when the Numpad is shown as a modal
Indication on what the color variables affect

Mobiscroll theme

Variable name Default value Description
$mbsc-mobiscroll-frame-background
#f7f7f7
The Numpad background color
$mbsc-mobiscroll-frame-text
#454545
The Numpad text color
$mbsc-mobiscroll-frame-accent
#4eccc4
The Numpad accent color
$mbsc-mobiscroll-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Numpad is shown as a modal

Mobiscroll Dark theme

Variable name Default value Description
$mbsc-mobiscroll-dark-frame-background
#263238
The Numpad background color
$mbsc-mobiscroll-dark-frame-text
#f7f7f7
The Numpad text color
$mbsc-mobiscroll-dark-frame-accent
#4fccc4
The Numpad accent color
$mbsc-mobiscroll-dark-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Numpad is shown as a modal
Indication on what the color variables affect